#!/bin/bash

# config

# runs with DOCKER=podman $0
: ${DOCKER=docker}
# archs to build
: ${BUILDARCHS="x86_64 armhf aarch64"}
: ${VERSION=3.14}


# mapping from docker arch to alpine arch
declare -A ARCH_MAP=( [x86_64]=amd64 [armhf]=arm32v6 [aarch64]=arm64v8 )


for arch in $BUILDARCHS; do
	$DOCKER build --build-arg arch=${ARCH_MAP[$arch]} --build-arg version=${VERSION} -t alpine-${VERSION}-$arch dockerbuild
done
